﻿using UniversityDataModels.Models;

namespace UniversityContracts.BindingModels
{
    public class StatementBindingModel : IStatementModel
    {
        public int Id { get; set; }
        public DateTime Date { get; set; } = DateTime.SpecifyKind(DateTime.Now, DateTimeKind.Utc);
        public int HoursCount { get; set; }
        public Dictionary<int, IStudentModel> Students { get; set; } = new();
    }
}
