﻿using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BuisnessLogicContracts
{
    public interface IActivityLogic
    {
        List<ActivityViewModel>? ReadList(ActivitySearchModel? model);
        ActivityViewModel? ReadElement(ActivitySearchModel model);
        bool Create(ActivityBindingModel model);
        bool Update(ActivityBindingModel model);
        bool Delete(ActivityBindingModel model);
    }
}
